This is a migrated thread and some comments may be shown as answers.

Telerik Reporting and .Net Framework

1 Answer 144 Views
General Discussions
This is a migrated thread and some comments may be shown as answers.
Nayana
Top achievements
Rank 1
Nayana asked on 27 Apr 2017, 10:22 AM

Hello all!
Could anyone help me out to provide a list of which Telerik version (Telerik.ReportViewer.WebForms.HttpHandler, Telerik.ReportViewer.WebForms) is compatible with which .Net Framework? I tried finding it out a lot on net but couldn't obtain any concrete results.

My company is using Telerik.ReportViewer.WebForms.HttpHandler, Telerik.ReportViewer.WebForms, Version=6.2.12.1025. Application is currently built on .Net Framework 3.5 using VS2008.. We are looking forward to upgrade the application to .Net Framework to 4.5 using VS2012. But am not sure if this version (6.2.12.1025) will support .Net Framework 4.5.

Any kind of help is appreciated.

Thank you.

Regards,

Nayana

1 Answer, 1 is accepted

Sort by
0
Accepted
Stef
Telerik team
answered on 28 Apr 2017, 04:49 PM
Hello Nayana,

Telerik Reporting is built against .NET 4 framework as of Q2 2013 release.
There is official support for VS2012 since Q2/3 2012.
There is official support for VS 2013 since Q3 2013.

.NET 4.5 is available since the summer of 2012, which means that the currently used Q3 2012 will let you use newer .NET framework and Visual Studio. For more details, check .NET Framework Versions and Dependencies (msdn).

Once the project is updated, you can proceed with updating Telerik Reporting  - How to Upgrade an old project to the latest Telerik Reporting version.

Regards,
Stef
Telerik by Progress
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Feedback Portal and vote to affect the priority of the items
Tags
General Discussions
Asked by
Nayana
Top achievements
Rank 1
Answers by
Stef
Telerik team
Share this question
or